Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxListenerFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxListenerFactory

    class JmxListenerFactory
    extends AbstractFactory

This factory class is used to create an listener() node for JmxBuilder. Listener nodes are used to create a generic event listener (that is automatically registered with the MBean) that can handle any event broadcasted on the MBeanServer's event bus.

Syntax supported

     JmxBuilder.listener(event:"event type", from:"Object Name"|ObjectName(), call:{event->
       // event handling code here.
    })

Authors:
  Vladimir Vivien

See Also:
  JmxEventListener

Method Summary
`boolean` | `isLeaf()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeParam, java.util.Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeParam, java.util.Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)

Groovy Documentation